<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:17:22Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.0.1074, 4.1.474, 4.2.193
 
Tested:
 
Ran test with previous test setup and verified no errors occur that are related to the multiple ROIs in download section
 
Download ROI:
 
 
View ROI:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-10-18T18:18:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-02T21:07:07Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-09-07T17:50:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-08-29T20:43:59Z</TimeStamp>
    <ReleaseNote>Addresses an issue downloading with multiple ROI</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-29T20:43:41Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-28T23:23:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49441 is 4.0; 49442 is 4.1; 49443 is 4.2.

To test:
Using attached database, which was created with an older version of DataPRO and therefore contains incorrect channel names for the multiple ROIs, run the Test Setup and ensure that no errors occur related to the multiple ROIs, during download.

Testing was done with a SPS+ECM, but if channel decoration is similar with S6DB or a TDAS rack, they will need to be tested too.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-08-28T23:23:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Re-opened to handle bad data in database due to creation of multiple-ROIs with older versions of DataPRO, as found by Jaime.</Comment>
    <StatusString>Reopened</StatusString>
    <TimeStamp>2023-08-28T14:54:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-25T21:21:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.0.1043, v4.1.423, v4.2.109
 
With SPE00595 + SPS00181 I ran the attached test setup. 
 
Verified bug with 4.0.846
 
2023-08-25 11:50:09.275 Attempting to download data about sensors [SPS00181] CH-01\ana1from DAS 
 2023-08-25 11:50:09.281 Entering DownloadService.SetDownloaded on thread 36 with units: (SPS00181) Called from: Download.DoDownload Line: 0
 2023-08-25 11:50:09.284 Encountered problem downloading ROI data !!  An exception of type: System.Exception occurred Module: DataPRO.exe, Name: DoDownloadMessage: Encountered problem doing data download for DataPROWin7.SubControls.Download StackTrace:    at DataPROWin7.SubControls.Download.DoDownload(IntervalSec roi, List`1&amp; sliceControlEvents, String newEventId, ServiceBaseEventHandler onCompletion, DownloadInfo dlInfo, EventInfoAggregate info) StackTrace:    at DataPROWin7.SubControls.Download.DownloadRoi(EventData eventData)!!   An inner exception of type: System.Exception occurred  Module: DataPRO.exe, Name: DoDownload Message: No Data to Download  StackTrace:    at DataPROWin7.SubControls.Download.DoDownload(IntervalSec roi, List`1&amp; sliceControlEvents, String newEventId, ServiceBaseEventHandler onCompletion, DownloadInfo dlInfo, EventInfoAggregate info)
 
 
In 4.0.1043 with same setup I'm able to download multiple ROIs
 
 
Viewer:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-08-25T21:19:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-25T20:36:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-25T20:36:30Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-08-25T18:10:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>4.0 is 49432; 4.1 is 49433; 4.2 is 49434

This bug was due to not considering the format of the Hardware Channel when connected via an ECM vs. USB ([SPExxxxx:SPSxxxxx]... vs [SPSxxxxx]).

In addition to checking for this format, I've combined two functions into one.

Finally, instead of checking the decoration, perhaps this code can be re-factored to use the DAS Serial Number/DAS Channel Number, to identify ROI channels.  

Possible problems with this approach:
1) Migration and LTS
2) Sensors with EIDs may be assigned to different hardware channels at run time, than were assigned (if at all) at Edit Test Setup time.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-08-24T17:34:21Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-23T14:56:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>This bug was introduced in 4.0.842.48178 as part of the fix for bug 30129.

To test:
Create a Test Setup with multiple ROIs and a DAS connected via ECM.
Run the test and ensure that Download works (all channels are downloaded and can be viewed in the viewer).</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-23T00:06:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-08-22T23:57:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-08-22T23:57:24Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>